ServerEvents.recipes(event => {
	event.remove({ id: 'tconstruct:compat/create/andesite_alloy_iron' })
	event.remove({ id: 'tconstruct:compat/create/andesite_alloy_zinc' })
	event.remove({ id: 'create:crafting/materials/andesite_alloy' })
	event.remove({ id: 'create:crafting/materials/andesite_alloy_from_zinc' })
	event.remove({ id: 'create:mixing/andesite_alloy' })
	event.remove({ id: 'create:mixing/andesite_alloy_from_zinc' })
	event.remove({mod: 'alloy_smelter'})
	event.shaped(
		'alloy_smelter:forge_controller_tier1',
		[ 
		'AAA', 
		'ABA',
		'CCC'  
		],{
		  A: 'minecraft:copper_ingot',
		  B: 'minecraft:furnace',
		  C: 'minecraft:bricks'
	})
	let alloying = (Output, outputCount, Input1, Count1, Input2, Count2, time) => {
		event.custom({
			"type": "alloy_smelter:smelting",
			"ingredients": [
				{
					"item": Input1,
					"count": Count1
				},
				{
					"item": Input2,
					"count": Count2
				}
			],
			"result": {
				"item": Output,
				"count": outputCount
			},
			"smeltingTime": time,
			"fuelPerTick": 1,
			"requiredTier": 1
		})
	}

	alloying(
		'minecraft:lava_bucket', 1,
		'minecraft:bucket', 1,
		'minecraft:cobblestone', 5,
		200
	)

	alloying(
		'minecraft:lava_bucket', 1,
		'minecraft:bucket', 1,
		'kubejs:concrete_piece', 64,
		2000
	)

	event.remove({ output: 'eidolon:pewter_blend' })
	event.remove({ output: 'eidolon:pewter_ingot' })
	alloying(
		'eidolon:pewter_ingot', 1,
		'minecraft:iron_ingot', 1,
		'tfmg:lead_ingot', 2,
		200
	)

	alloying(
		'kubejs:heated_concrete', 1,
		'ceramicbucket:ceramic_bucket', 1,
		'kubejs:concrete_piece', 64,
		2000
	)

	alloying(
		'kubejs:heated_concrete', 1,
		'ceramicbucket:ceramic_bucket', 1,
		'minecraft:cobblestone', 5,
		200
	)

	alloying(
		'create:andesite_alloy', 1,
		'minecraft:cobblestone', 1,
		'supplementaries:ash', 1,
		300
	)
	alloying(
		'tconstruct:manyullyn_ingot', 4,
		'tconstruct:cobalt_ingot', 3,
		'minecraft:netherite_scrap', 1,
	200
	)
	alloying(
		'tconstruct:rose_gold_ingot', 4,
		'minecraft:copper_ingot', 3,
		'minecraft:gold_ingot', 1,
	200
	)
	alloying(
		'thermal:invar_ingot', 3,
		'minecraft:iron_ingot', 2,
		'tfmg:nickel_ingot', 1,
	200
	)
	alloying(
		'tfmg:constantan_ingot', 1,
		'minecraft:copper_ingot', 1,
		'tfmg:nickel_ingot', 1,
	200
	)
	alloying(
		'thermal:electrum_ingot', 2,
		'minecraft:gold_ingot', 1,
		'thermal:silver_ingot', 1,
	200
	)
	alloying(
		'thermal:bronze_ingot', 4,
		'minecraft:copper_ingot', 3,
		'thermal:silver_ingot', 1,
	200
	)
	event.recipes.create.mixing('2x create:andesite_alloy', [
		'minecraft:cobblestone',
		'supplementaries:ash'
	]).lowheated()

	event.smelting(Item.of('ceramicbucket:ceramic_bucket', '{Fluid:{Amount:1000,FluidName:"minecraft:lava"}}'),
		'kubejs:heated_concrete')



})